# Class Initialization

## Index

### Methods

- automaticallyCreateComponentsInside
- automaticallyCreateComponentsInsideResult
- getListOfLoadedComponents
- getListOfRegisteredComponents
- getRegisteredComponent
- getRegisteredFieldsComponentForQuery
- getRegisteredFieldsForQuery
- initRecommendationInterface
- initSearchInterface
- initStandaloneSearchInterface
- initializeFramework
- isComponentClassIdRegistered
- isNamedMethodRegistered
- monkeyPatchComponentMethod
- registerAutoCreateComponent
- registerComponentFields
- registerDefaultOptions
- registerNamedMethod

## Methods

### Static automaticallyCreateComponentsInside

- automaticallyCreateComponentsInside(element: HTMLElement, initParameters: IInitializationParameters, ignore?: string[]): IInitResult

- - Defined in ui/Base/Initialization.ts :434

  #### Parameters

  - ##### element: HTMLElement

  - ##### initParameters: IInitializationParameters

  - ##### Default value ignore: string[] = []

  #### Returns IInitResult

### Static automaticallyCreateComponentsInsideResult

- automaticallyCreateComponentsInsideResult(resultElement: HTMLElement, result: IQueryResult, optionsToInject?: object): IInitResult

- - Defined in ui/Base/Initialization.ts :411

  #### Parameters

  - ##### resultElement: HTMLElement

  - ##### result: IQueryResult

  - ##### Default value optionsToInject: object = {}

  #### Returns IInitResult

### Static getListOfLoadedComponents

- getListOfLoadedComponents(): string[]

- - Defined in ui/Base/Initialization.ts :213

  #### Returns string[]

### Static getListOfRegisteredComponents

- getListOfRegisteredComponents(): String[]

- - Defined in ui/Base/Initialization.ts :205

  #### Returns String[]

### Static getRegisteredComponent

- getRegisteredComponent(name: string): IComponentDefinition

- - Defined in ui/Base/Initialization.ts :225

  #### Parameters

  - ##### name: string

  #### Returns IComponentDefinition

### Static getRegisteredFieldsComponentForQuery

- getRegisteredFieldsComponentForQuery(componentId: string): string[]

- - Defined in ui/Base/Initialization.ts :183

  #### Parameters

  - ##### componentId: string

  #### Returns string[]

### Static getRegisteredFieldsForQuery

- getRegisteredFieldsForQuery(): string[]

- - Defined in ui/Base/Initialization.ts :170

  #### Returns string[]

### Static initRecommendationInterface

- initRecommendationInterface(element: HTMLElement, options?: any): IInitResult

- - Defined in ui/Base/Initialization.ts :388

  #### Parameters

  - ##### element: HTMLElement

  - ##### Default value options: any = {}

  #### Returns IInitResult

### Static initSearchInterface

- initSearchInterface(element: HTMLElement, options?: any): IInitResult

- - Defined in ui/Base/Initialization.ts :342

  #### Parameters

  - ##### element: HTMLElement

  - ##### Default value options: any = {}

  #### Returns IInitResult

### Static initStandaloneSearchInterface

- initStandaloneSearchInterface(element: HTMLElement, options?: any): IInitResult

- - Defined in ui/Base/Initialization.ts :356

  #### Parameters

  - ##### element: HTMLElement

  - ##### Default value options: any = {}

  #### Returns IInitResult

### Static initializeFramework

- initializeFramework(element: HTMLElement, options: any, initSearchInterfaceFunction: function): Promise<object>

- - Defined in ui/Base/Initialization.ts :236

  #### Parameters

  - ##### element: HTMLElement

  - ##### options: any

  - ##### initSearchInterfaceFunction: function

    - - (...args: any[]): IInitResult

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns IInitResult

  #### Returns Promise<object>

### Static isComponentClassIdRegistered

- isComponentClassIdRegistered(componentClassId: string): boolean

- - Defined in ui/Base/Initialization.ts :194

  #### Parameters

  - ##### componentClassId: string

  #### Returns boolean

### Static isNamedMethodRegistered

- isNamedMethodRegistered(methodName: string): boolean

- - Defined in ui/Base/Initialization.ts :500

  #### Parameters

  - ##### methodName: string

  #### Returns boolean

### Static monkeyPatchComponentMethod

- monkeyPatchComponentMethod(methodName: string, element: HTMLElement, handler: function): void

- - Defined in ui/Base/Initialization.ts :510

  #### Parameters

  - ##### methodName: string

  - ##### element: HTMLElement

  - ##### handler: function

    - - (...args: any[]): any

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns any

  #### Returns void

### Static registerAutoCreateComponent

- registerAutoCreateComponent(componentClass: IComponentDefinition): void

- - Defined in ui/Base/Initialization.ts :107

  #### Parameters

  - ##### componentClass: IComponentDefinition

  #### Returns void

### Static registerComponentFields

- registerComponentFields(componentId: string, fields: string[]): void

- - Defined in ui/Base/Initialization.ts :142

  #### Parameters

  - ##### componentId: string

  - ##### fields: string[]

  #### Returns void

### Static registerDefaultOptions

- registerDefaultOptions(element: HTMLElement, options: __type): void

- - Defined in ui/Base/Initialization.ts :77

  #### Parameters

  - ##### element: HTMLElement

  - ##### options: __type

  #### Returns void

### Static registerNamedMethod

- registerNamedMethod(methodName: string, handler: function): void

- - Defined in ui/Base/Initialization.ts :487

  #### Parameters

  - ##### methodName: string

  - ##### handler: function

    - - (...args: any[]): any

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns any

  #### Returns void

### Hierarchy

- Initialization